package cn.superdesk.uniorder.dubbo.consumer.order.old;

import cn.superdesk.uniorder.dao.entity.sys.SysOrder;
import cn.superdesk.uniorder.dubbo.facade.order.old.DubboSysOrderService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;


@Deprecated
@Slf4j
@Component
public class OrderDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboSysOrderService dubboSysOrderService;


	public void add(SysOrder t) {
		dubboSysOrderService.addObj(t);
	}

	public List<SysOrder> findByOrderId(String orderId) {
		return dubboSysOrderService.findByOrderId(orderId);
	}

	public void update(SysOrder t) {
		dubboSysOrderService.updateObj(t);
	}

	public void kafkaUnifiedOrderSend(Map jsonMap, List goodsList) {
		dubboSysOrderService.kafkaUnifiedOrderSend(jsonMap, goodsList);
	}


}

